Amazon Shipping offers domestic shipping solutions for shipments originating in the UK. Amazon Shipping offers fast ground shipping, on time, seven days a week.
This guide provides developers with the details needed to build Amazon Shipping shipping capabilities into your ShipStation API workflows.
| Property | Type | Required? | Description |
|---|---|---|---|
amazon_marketplace_id | string | required | |
seller_type | string | required | Seller Central or Shipper Central account |
- You must agree to the Amazon Shipping terms and conditions.
- Amazon requires a unique Amazon Shipping account for each Amazon store you are shipping for.
- All Amazon Shipping UK shipments require both weight and dimensions.
- You must add a declared value to all shipments, even if not adding shipment insurance.
Amazon Shipping must be configured in your account Dashboard and cannot be configured via endpoint. For instructions on connecting Amazon Shipping via the ShipStation API dashboard, go to our Amazon Shipping help article.
Once connected, you can use the carrier_name: amazon_shipping_uk to create shipments and labels using Amazon Shipping services.
Amazon Shipping UK supports rate shopping with ShipStation API.
Available Amazon Shipping UK services are provided below. Please note that carriers may update their available services at any time. To ensure you are always using valid services, you can use the list carrier services endpoint at any time.
"ON Amazon" services are to be used for Amazon orders. "OFF Amazon" services are to be used for non-Amazon orders.
| Service | Transit Time | Carrier Code | API Code |
|---|---|---|---|
| ON Amazon Shipping Standard Tracked | 5 - 8 days | econ-uk-mfn | amazon_uk_econ |
| ON Amazon Shipping One-Day Tracked | 1 Business Day | prime-premium-uk-mfn | amazon_uk_prime_prem |
| OFF Amazon Shipping One Day | 1 Business Day | SWA-UK-PREM | amazon_uk_prem |
| OFF Amazon Shipping Two Day | 2 Business Days | SWA-UK-2D | amazon_uk_2_day_off |
| ON Amazon Shipping Two-Day Tracked | 2 Business Days | std-uk-mfn | amazon_uk_2_day_on |
Amazon Shipping has confirmed that as of 1 May 2025, they will consider shipments from Great Britain to Northern Ireland as international shipments. You will no longer be able to create Amazon Shipping labels for these shipments.
Return labels are supported for all of the available Amazon Shipping UK services.
Review the Return Shipping Labels page for details on creating return labels with ShipStation API.
Amazon Shipping does not specify carrier package types and does not support custom package types. You must use the generic package package type for all shipments.
Amazon Shipping supports adding carrier insurance to your shipments. Review the Parcel Insurance page for details on adding shipment insurance with ShipStation API.
- Label sizes: 4" x 6"
- Label formats: PDF
Amazon Shipping UK does not support adding custom label messages.
Amazon Shipping UK does not support multi-package shipping.
Amazon Shipping UK does not support label branding.
Amazon Shippign UK supports voiding labels with ShipStation API.
Amazon Shipping UK does not support paperless labels.
| Confirmation Type | API Code | Description |
|---|---|---|
| No Confirmation | none | No confirmation requested |
See our Delivery Confirmation page for more details about using the confirmation property.
Amazon Shipping UK supports certain advanced options, which you can add to the shipment object when creating a shipment or label.
| Option | Type | Default Value | Description |
|---|---|---|---|
non_machinable | boolean | false | Indicates that the package cannot be processed through sorting machines. |
To ensure you always have the most up-to-date information about a carrier's advanced options, use the list carrier options call.
Manifests are neither required nor needed. As all labels are created through Amazon Shipping, Amazon already has all shipping details for every shipment.
Amazon Shipping does not support scheduling pickups using ShipStation API. Any label created before 2:30pm local time will be automtically scheduled for same day pickup. Labels created after 1pm local time should have their ship date set to the following day and will be scheduled for pickup on that day.
Amazon Shipping does not support shipping to service points.
ShipStation API's integration with Amazon Shipping UK supports receiving tracking updates. Review our Track a Package guides for details on tracking with the ShipStation API.
There are a few unique things to note when creating an Amazon Shipping label.
- When creating a label for an Amazon order:
- You must specify
order_source_code: "amazon"and set theexternal_order_idand theasinproperties of each item in the shipment. - Amazon Shipping will ignore the values on your
ship_toobject for ON Amazon orders. Instead, the recipient address that is already listed for the Amazon order will be respected.
- You must specify
- When creating a label for a non-Amazon order, you can use Amazon Shipping to create a label in the same way as any other ShipStation carrier. No additional fields are required.
Here's an example of how to create an Amazon Shipping label for an Amazon order.
POST /v1/labels
POST /v1/labels HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json
{
"shipment": {
"carrier_id": "se-123456",
"service_code": "amazon_shipping_standard",
"order_source_code": "amazon",
"external_order_id": "103-4795772-1364518",
"items": [
{
"quantity": 1,
"name": "Monopoly",
"asin": "B00005N5PF",
"external_order_id" : "114-2825781-8037847",
"external_order_item_id" : "16902221730370"
},
{
"quantity": 1,
"name": "Chromecast",
"asin": "B015UKRNGS",
"external_order_id" : "114-2825781-8037847",
"external_order_item_id" : "16902221730370"
}
],
"ship_date": "2019-04-04T05:00:00.000Z",
"ship_from": {
"name": "Stamps.com",
"address_line1": "1990 E. Grand Ave.",
"city_locality": "El Segundo",
"state_province": "CA",
"postal_code": "90245-5013",
"country_code": "US",
"phone": "1-800-608-2677"
},
"ship_to": {
"name": "Jeff B. Ezos",
"address_line1": "701 5th Ave",
"city_locality": "Seattle",
"state_province": "WA",
"postal_code": "98104",
"country_code": "US",
"phone": "206-266-1000"
},
"packages": [
{
"weight": {
"value": 2.5,
"unit": "pound"
},
"dimensions": {
"length": 24,
"width": 10,
"height": 3,
"unit": "inch"
}
}
]
}
}See the Disconnect section in our Delete a Carrier page for the process of deleting or disconnecting a carrier from ShipStation API.
NOTE:
If you disconnect a carrier account and reconnect it, the account will have a new
carrier_idin ShipStation API.